package com.emr.dao.emrCodeType;

import com.emr.entity.emrCodeType.Emr_Code_Type;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Emr_Code_TypeMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_Code_Type record);

    int insertSelective(Emr_Code_Type record);

    Emr_Code_Type selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Code_Type record);

    int updateByPrimaryKey(Emr_Code_Type record);

    List<Emr_Code_Type> selectAllByPatientId(@Param("patientId") String patientId);

    Emr_Code_Type checkFlagAndNameIsExist(@Param("typeFlag")String typeFlag,@Param("typeName")String typeName);
}